import { Injectable } from '@angular/core';
import { HttpRequestService } from '../resources/http-request.service';
import { map } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class OrderReceptionService {

  private _url: string;
  constructor( private _httpRequestService:HttpRequestService ) {
    this._url = 'acquisition-management/dispatch';
  }

  public getOrderReception() {
    return this._httpRequestService.getQuery(`${ this._url }/get-order-reception`).pipe(map((data:any) => data));
  }

}
